%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_ZA
Summary:	%{_pearname} - Validation class for South Africa
Summary(pl.UTF-8):	%{_pearname} - Klasa do sprawdzania poprawności dla RPA
Name:		php-pear-%{_pearname}
Version:	0.2.2
Release:	4
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	56e8c8f516a849f66c094fce97eb0369
URL:		http://pear.php.net/package/Validate_ZA/
BuildRequires:	php-pear-PEAR >= 1:1.6.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-Validate >= 0.5.0
Requires:	php-pear-Validate_Finance_CreditCard >= 0.5.0
Obsoletes:	php-pear-Validate_ZA-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for South Africa such as:
- Postal Code
- Region (province)
- SSN

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Republiki Południowej Afryki
danych takich jak:
- kod pocztowy
- region (prowincja)
- numer ubezpieczenia społecznego (SSN)

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/ZA.php

%{php_pear_dir}/data/%{_pearname}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 3444ddf
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 89a3291
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b6e0399
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> ca3bab0
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> e43122c
- up to 0.2.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> d479c82
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f47c993
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ceb921f
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 2c26313
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sat Apr 29 2006 Jakub Bogusz <qboosh@pld-linux.org> b239e67
- missing dirs, pl cosmetic, explicit Epoch (used in -tests)

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> a3af297
- new

